Debian Bug report logs - #241283
hicolor-icon-theme: does not include all dirs referenced

Package: kdelibs4; Maintainer for kdelibs4 is (unknown);

Reported by: Chris Cheney <ccheney@cheney.cx>

Date: Wed, 31 Mar 2004 17:48:01 UTC

Severity: normal

Tags: patch, upstream

Merged with 253127, 254863, 258668

Done: Chris Cheney <ccheney@cheney.cx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#241283; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to "Laurent Bonnaud" <bonnaud@lis.inpg.fr>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Laurent Bonnaud" <bonnaud@lis.inpg.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdelibs4: KIconLoader tries to load icons from strange directories
Date: Wed, 31 Mar 2004 19:38:09 +0200
Package: kdelibs4
Version: 4:3.2.1-1
Severity: normal


Hi,

all KDE applications that I start from the command line display those error
messages.  For example:

$ kedit
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 24x24/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/net not valid.


The various /usr/share/icons/hicolor/sizexsize directories do exist on my
system.  The problem comes for this spurious " group " string that is inserted
after the "hicolor" path component.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.3-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages kdelibs4 depends on:
ii  k 4:3.2.1-1                              KDE core binaries
ii  k 4:3.2.1-1                              KDE core shared data
ii  l 2.3.16-3                               Library of functions for 2D graphi
ii  l 1.2.1-2                                aRts Sound system
ii  l 1.0.3b-1                               Advanced Linux Sound Architecture 
ii  l 1.6c-3                                 The Network Audio System (NAS). (s
ii  l 0.2.6-3                                Open-source version of SGI's audio
ii  l 1.0.2-1                                A high-quality block-sorting file 
ii  l 2.3.2.ds1-11                           GNU C Library: Shared libraries an
ii  l 1.1.20final+cvs20040317-4experimental1 Common UNIX Printing System(tm) - 
ii  l 0.2.29-1                               Enlightened Sound Daemon - Shared 
ii  l 2.7.0-5                                client library to control the FAM 
ii  l 1:3.4-0pre2                            GCC support library
ii  l 1.1.12-4                               LGPL Crypto library - runtime libr
ii  l 2.4.0-2                                The GLib library of C routines
ii  l 0.8.12-5                               GNU TLS library - runtime library
ii  l 4.3.0-7                                Inter-Client Exchange library
ii  l 6b-9                                   The Independent JPEG Group's JPEG 
ii  l 0.15.0b-3                              MPEG audio decoder library
ii  l 1.1.0-1                                Ogg Bitstream Library
ii  l 4.5-1.1                                Perl 5 Compatible Regular Expressi
ii  l 1.2.5.0-5                              PNG library - runtime
ii  l 3:3.2.3-2                              Qt GUI Library (Threaded runtime v
ii  l 4.3.0-7                                X Window System Session Management
ii  l 1:3.3.3-5                              The GNU Standard C++ Library v3
ii  l 0.1.2-1                                Manage ASN.1 structures (runtime)
ii  l 3.6.1-1                                Tag Image File Format library
ii  l 1.0.1-1                                The Vorbis General Audio Compressi
ii  l 1.0.1-1                                The Vorbis General Audio Compressi
ii  l 4.3.0-7                                X Window System protocol client li
ii  l 4.3.0-7                                X Window System miscellaneous exte
ii  l 2.6.7-1                                GNOME XML library
ii  l 0.8.3-7                                X Rendering Extension client libra
ii  l 1.1.4-1                                XSLT processing library - runtime 
ii  l 4.3.0-7                                X Toolkit Intrinsics
ii  x 4.3.0-7                                miscellaneous X clients
ii  x 4.3.0-7                                X Window System client libraries m
ii  z 1:1.2.1-5                              compression library - runtime

-- no debconf information

PS: sorry for the incomplete package listing.  My system has all current KDE
packages from sid.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#241283; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 241283@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: "Laurent Bonnaud" <bonnaud@lis.inpg.fr>, 241283@bugs.debian.org
Subject: Re: Bug#241283: kdelibs4: KIconLoader tries to load icons from strange directories
Date: Wed, 31 Mar 2004 21:09:46 +0300
On Wednesday 31 March 2004 20:38, Laurent Bonnaud wrote:
> $ kedit
> kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/
> group 16x16/stock/chart not valid. kdecore (KIconLoader): WARNING: Icon
> directory /usr/share/icons/hicolor/ group 16x16/stock/code not valid.
...
> The various /usr/share/icons/hicolor/sizexsize directories do exist on my
> system.  The problem comes for this spurious " group " string that is
> inserted after the "hicolor" path component.

Do you have by any chance hicolor-icon-theme installed? If so, this probably 
needs to be reassigned.


-- 
hi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#241283; Package kdelibs4. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bonnaud <bonnaud@lis.inpg.fr>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 241283@bugs.debian.org (full text, mbox):

From: Laurent Bonnaud <bonnaud@lis.inpg.fr>
To: 241283@bugs.debian.org
Subject: Re: Bug#241283: kdelibs4: KIconLoader tries to load icons from strange directories
Date: Wed, 31 Mar 2004 20:22:10 +0200
> Do you have by any chance hicolor-icon-theme installed? If so, this probably 
> needs to be reassigned.

Those packages are installed:

ii  hicolor-icon-theme    0.4-2                 Default fallback theme for Freedesktop icon themes

ii  kdeartwork            3.2.1-1               themes, styles and more from the official KDE release
ii  kdeartwork-misc       3.2.1-1               various multimedia goodies released with KDE
ii  kdeartwork-style      3.2.1-1               widget styles released with KDE
ii  kdeartwork-theme-icon 3.2.1-1               icon themes released with KDE
ii  kdeartwork-theme-wind 3.2.1-1               window decoration themes released with KDE

ii  kde-theme-matte       0.2.0.1-3             Matte family of themes for KDE
ii  kde-theme-metallic    0.2.0.1-3             Metallic family of themes for KDE
ii  kde-theme-neon        0.2.0.1-3             Neon family of themes for KDE
ii  kde-theme-pastel      0.2.0.1-3             Pastel family of themes for KDE
ii  kde-theme-sweetpill   0.2.0.1-3             Sweetpill family of themes for KDE

ii  kde-icons-crystal     3.7-2                 Crystal icon theme for KDE
ii  kde-icons-noia        1.0-2                 Noia icon theme for KDE 3

-- 
Laurent Bonnaud.
http://www.lis.inpg.fr/pages_perso/bonnaud/





Bug reassigned from package `kdelibs4' to `hicolor-icon-theme'. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Laurent Bonnaud" <bonnaud@lis.inpg.fr>:
Bug#241283. Full text and rfc822 format available.

Message #22 received at 241283-submitter@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 241283-submitter@bugs.debian.org
Subject: kdelibs4: KIconLoader tries to load icons from strange directories
Date: Tue, 6 Apr 2004 00:18:06 -0500
[Message part 1 (text/plain, inline)]
reassign 241283 hicolor-icon-theme
retitle 241283 hicolor-icon-theme: does not include all dirs referenced
stop

I am not 100% certain but it looks like the issue is that
hicolor-icon-theme mentions dirs that it does not include which causes
the warnings to appear. I am reassigning this bug to hicolor-icon-theme.

example:

Icon directory /usr/share/icons/hicolor group 16x16/stock/chart

which appears to be caused by
"/usr/share/icons/hicolor/16x16/stock/chart" not existing in the
package.

Thanks,

Chris
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ross Burton <ross@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Laurent Bonnaud" <bonnaud@lis.inpg.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 241283-close@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@debian.org>
To: 241283-close@bugs.debian.org
Subject: Bug#241283: fixed in hicolor-icon-theme 0.5-1
Date: Tue, 06 Apr 2004 09:47:03 -0400
Source: hicolor-icon-theme
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
hicolor-icon-theme, which is due to be installed in the Debian FTP archive:

hicolor-icon-theme_0.5-1.diff.gz
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.5-1.diff.gz
hicolor-icon-theme_0.5-1.dsc
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.5-1.dsc
hicolor-icon-theme_0.5-1_all.deb
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.5-1_all.deb
hicolor-icon-theme_0.5.orig.tar.gz
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 241283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ross Burton <ross@debian.org> (supplier of updated hicolor-icon-theme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  6 Apr 2004 14:32:26 +0100
Source: hicolor-icon-theme
Binary: hicolor-icon-theme
Architecture: source all
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Ross Burton <ross@debian.org>
Changed-By: Ross Burton <ross@debian.org>
Description: 
 hicolor-icon-theme - Default fallback theme for Freedesktop icon themes
Closes: 241283
Changes: 
 hicolor-icon-theme (0.5-1) unstable; urgency=low
 .
   * New upstream release
     - Create the stock/* directories (closes: #241283)
Files: 
 5f1b9e8fb3f97dd140bcd2554c344396 602 misc optional hicolor-icon-theme_0.5-1.dsc
 947c7f6eb68fd95c7b86e87f853ceaa0 31611 misc optional hicolor-icon-theme_0.5.orig.tar.gz
 57d22ead93980a0b1a4d2e157531b74c 1539 misc optional hicolor-icon-theme_0.5-1.diff.gz
 a4a857f40752f6f2f0f776e2ea83b3a1 6030 misc optional hicolor-icon-theme_0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAcrIHLQnkR9C0M98RAhkYAKCgD4gYbGuDP3S9uncaY/pbzFVuDACgtbSD
SdomTWpKbkLjqLkbnk9+CXw=
=2Rml
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to eLShaman <el.shaman@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #32 received at 241283@bugs.debian.org (full text, mbox):

From: eLShaman <el.shaman@wanadoo.fr>
To: Debian Bug Tracking System <241283@bugs.debian.org>
Subject: Bug#241283: needs to be reopened.
Date: Thu, 22 Apr 2004 17:15:26 +0200
Package: hicolor-icon-theme
Version: 0.5-2
Severity: normal
Followup-For: Bug #241283

Hello,

I have posted on debian-qt-kde:
http://lists.debian.org/debian-qt-kde/2004/debian-qt-kde-200404/msg00483.html


Thanks,
Lolo.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-1-686
Locale: LANG=fr_FR, LC_CTYPE=fr_FR

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #37 received at 241283@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 241283@bugs.debian.org
Subject: hicolor-icon-theme: does not include all dirs referenced
Date: Thu, 22 Apr 2004 11:20:30 -0500
[Message part 1 (text/plain, inline)]
reopen 241283 !
severity 241283 serious
stop

This bug has not been fixed even with the 0.5-2 upload, I just received
another message about the problem and looked myself and the dirs have
not been created. I am reopening the bug.

Thanks,
Chris
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator set to Chris Cheney <ccheney@cheney.cx>. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@burtonini.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #46 received at 241283@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@burtonini.com>
To: Chris Cheney <ccheney@cheney.cx>, 241283@bugs.debian.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Thu, 22 Apr 2004 22:26:20 +0100
On Thu, 2004-04-22 at 17:20, Chris Cheney wrote:
> This bug has not been fixed even with the 0.5-2 upload, I just received
> another message about the problem and looked myself and the dirs have
> not been created. I am reopening the bug.

You said:

> example:
>
> Icon directory /usr/share/icons/hicolor group 16x16/stock/chart
>
> which appears to be caused by
> "/usr/share/icons/hicolor/16x16/stock/chart" not existing in the
> package.

However:

$ dpkg -L hicolor-icon-theme | grep 16x16/stock/chart
/usr/share/icons/hicolor/16x16/stock/chart

Did I miss a set of directories?

Ross




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #51 received at 241283@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Ross Burton <ross@burtonini.com>
Cc: 241283@bugs.debian.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Fri, 23 Apr 2004 03:23:21 -0500
[Message part 1 (text/plain, inline)]
On Thu, Apr 22, 2004 at 10:26:20PM +0100, Ross Burton wrote:
> On Thu, 2004-04-22 at 17:20, Chris Cheney wrote:
> > This bug has not been fixed even with the 0.5-2 upload, I just received
> > another message about the problem and looked myself and the dirs have
> > not been created. I am reopening the bug.
> 
> You said:
> 
> > example:
> >
> > Icon directory /usr/share/icons/hicolor group 16x16/stock/chart
> >
> > which appears to be caused by
> > "/usr/share/icons/hicolor/16x16/stock/chart" not existing in the
> > package.
> 
> However:
> 
> $ dpkg -L hicolor-icon-theme | grep 16x16/stock/chart
> /usr/share/icons/hicolor/16x16/stock/chart
> 
> Did I miss a set of directories?

I'm sorry I wasn't fully awake at the time I wrote that email I guess.
The real issue appears to be that stock is not part of the standard
and should not be listed in the file at all. I assume that is the
reason kde is complaining with the message:

kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/chart not valid.

"the context the icon is normally used in. This can be used to e.g.
let the user pick an specific type of icon. Currently used contexts
are: Actions, Applications, Devices, FileSystems, MimeTypes."

http://freedesktop.org/Standards/icon-theme-spec/icon-theme-spec-0.8.html

Thanks,
Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #56 received at 241283@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Ross Burton <ross@burtonini.com>
Cc: 241283@bugs.debian.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Fri, 23 Apr 2004 03:31:21 -0500
[Message part 1 (text/plain, inline)]
severity 241283 normal
stop

I decided to mark this down to normal, it is quite annoying for KDE
apps but after reading the spec some more it seems like it might be
allowed to be as is. I will have to look into the file some more and
probably contact the person who wrote the spec to see what they think
about the issue.

Thanks,
Chris
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Joseph Reagle <reagle@mit.edu>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #63 received at 241283@bugs.debian.org (full text, mbox):

From: Joseph Reagle <reagle@mit.edu>
To: 241283@bugs.debian.org
Subject: Bug#241283: kdelibs4: KIconLoader tries to load icons from strange directories
Date: Mon, 26 Apr 2004 17:30:07 -0400
I have the same problem with 3.2.2 debs from sid.



Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #68 received at 241283@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: 241283@bugs.debian.org
Cc: debian-qt-kde@lists.kde.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Tue, 27 Apr 2004 10:24:54 +0200
[Message part 1 (text/plain, inline)]
[This is the KIconLoader warning bug.]

* Chris Cheney [Fri, 23 Apr 2004 03:31:21 -0500]:
> severity 241283 normal
> stop

> I decided to mark this down to normal, it is quite annoying for KDE
> apps but after reading the spec some more it seems like it might be
> allowed to be as is. I will have to look into the file some more and
> probably contact the person who wrote the spec to see what they think
> about the issue.

    Well, perhaps these bugs belong to a severity normal bug by reading
    the spec, but I think the consequences are something more than
    "annoying". This I found this morning:

        $ ls -oh ~/.xsession-errors
        -rw-------    1 adeodato     279M 2004-04-27 10:23 /home/adeodato/.xsession-errors

-- 
Adeodato Simó (a.k.a. thibaut)
    EM: asp16 [ykwim] alu.ua.es | IM: my_dato [jabber.org] | PK: DA6AE621
 
The true teacher defends his pupils against his own personal influence.
                -- Amos Bronson Alcott
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #73 received at 241283@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: 241283@bugs.debian.org
Cc: debian-qt-kde@lists.debian.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Tue, 27 Apr 2004 10:33:26 +0200
[Message part 1 (text/plain, inline)]
[This is the KIconLoader warning bug.]

* Chris Cheney [Fri, 23 Apr 2004 03:31:21 -0500]:
> severity 241283 normal
> stop

> I decided to mark this down to normal, it is quite annoying for KDE
> apps but after reading the spec some more it seems like it might be
> allowed to be as is. I will have to look into the file some more and
> probably contact the person who wrote the spec to see what they think
> about the issue.

    Well, perhaps these bugs belong to a severity normal bug by reading
    the spec, but I think the consequences are something more than
    "annoying". This I found this morning:

        $ ls -oh ~/.xsession-errors
        -rw-------    1 adeodato     279M 2004-04-27 10:23 /home/adeodato/.xsession-errors

-- 
Adeodato Simó (a.k.a. thibaut)
    EM: asp16 [ykwim] alu.ua.es | IM: my_dato [jabber.org] | PK: DA6AE621
 
The true teacher defends his pupils against his own personal influence.
                -- Amos Bronson Alcott
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@burtonini.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #78 received at 241283@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@burtonini.com>
To: Adeodato Simó <asp16@alu.ua.es>, 241283@bugs.debian.org
Cc: debian-qt-kde@lists.kde.org
Subject: Re: Bug#241283: hicolor-icon-theme: does not include all dirs referenced
Date: Tue, 27 Apr 2004 09:51:42 +0100
On Tue, 2004-04-27 at 09:24, Adeodato Simó wrote:
>     Well, perhaps these bugs belong to a severity normal bug by reading
>     the spec, but I think the consequences are something more than
>     "annoying". This I found this morning:
> 
>         $ ls -oh ~/.xsession-errors
>         -rw-------    1 adeodato     279M 2004-04-27 10:23 /home/adeodato/.xsession-errors

Eek.  I suggest that KDE follow the maxim "be lenient with what you
accept, and strict with what you output".  I'd say the spec needs
editing to allow arbitrary categories, but KDE shouldn't be so vocal
about finding the stock/ folders.

Ross
-- 
Ross Burton                                 mail: ross@burtonini.com
                                          jabber: ross@burtonini.com
                                     www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to David Nebauer <davidnebauer@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #83 received at 241283@bugs.debian.org (full text, mbox):

From: David Nebauer <davidnebauer@bigfoot.com>
To: 241283@bugs.debian.org
Subject: Bug has now moved to testing
Date: Thu, 29 Apr 2004 01:38:49 +0930
Now that KDE 3.2 has moved to Sarge/testing this bug has found a whole 
new audience.  I've just encountered it for the first time.

On reading the report log for this bug I am uncertain what it's status 
is.  Is a fix waiting on action from kde developers or is it a debian 
packaging problem?

Regards,
David Nebauer.



Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@burtonini.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #88 received at 241283@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@burtonini.com>
To: David Nebauer <davidnebauer@bigfoot.com>, 241283@bugs.debian.org
Subject: Re: Bug#241283: Bug has now moved to testing
Date: Wed, 28 Apr 2004 19:42:22 +0100
On Wed, 2004-04-28 at 17:08, David Nebauer wrote:
> Now that KDE 3.2 has moved to Sarge/testing this bug has found a whole 
> new audience.  I've just encountered it for the first time.
> 
> On reading the report log for this bug I am uncertain what it's status 
> is.  Is a fix waiting on action from kde developers or is it a debian 
> packaging problem?

Personally, I think it is an over-verbose warning from kdelibs.

Ross




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to "Mark J. Small" <msmall@eastlink.ca>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #93 received at 241283@bugs.debian.org (full text, mbox):

From: "Mark J. Small" <msmall@eastlink.ca>
To: 241283@bugs.debian.org
Subject: Bug caused by invalid context "Stock"
Date: Mon, 03 May 2004 10:35:46 -0300
I've been trying to figure this bug out, and I think I've got it.  On my 
system, all of the directories that cause this warning message to be printed 
are of the form FOOxFOO/stock/bar.

If I look at /usr/share/icons/hicolor/index.theme, all of these dirs have
Context=Stock

However, if I look at kicontheme.cpp in the source code, I see this:

    QString tmp = config->readEntry("Context");
    if (tmp == "Devices")
        mContext = KIcon::Device;
    else if (tmp == "MimeTypes")
        mContext = KIcon::MimeType;
    else if (tmp == "FileSystems")
        mContext = KIcon::FileSystem;
    else if (tmp == "Applications")
        mContext = KIcon::Application;
    else if (tmp == "Actions")
        mContext = KIcon::Action;
    else {
        kdDebug(264) << "Invalid Context= line for icon theme: " << mDir << 
"\n";
        return;
    }

which effectively means that the only valid contexts are Devices, MimeTypes, 
FileSystems, Applications, and Actions.  The kdDebug message isn't logged on 
my system, since debugging must be turned off.  However, the flag mbValid is 
never set to true, so the invalid context triggers an invalid directory 
warning.

The full source for this file is here:
http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kdelibs/kdecore/kicontheme.cpp?rev=1.56&content-type=text/x-cvsweb-markup

I suggest that a new hicolor-icon-theme package with either valid contexts, or 
no stock directories should be uploaded.

Hope this helps,

Mark Small



Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to "Antonio C. Censi" <accensi@montreal.com.br>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #98 received at 241283@bugs.debian.org (full text, mbox):

From: "Antonio C. Censi" <accensi@montreal.com.br>
To: 241283@bugs.debian.org
Subject: Bug caused by invalid context "Stock"
Date: Mon, 3 May 2004 17:28:34 -0300
As a quick and dirty solution, it is possible to delete all stock sub-dirs 
in /usr/share/icons/hicolor/ssXss (ss can be 16, 22 32, 36, etc.).

I did it in a test system and it seems to working ok in the last 8 hours.

-- 
Antonio C. Censi



Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Dave Cohrs <d.cohrs@computer.org>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #103 received at 241283@bugs.debian.org (full text, mbox):

From: Dave Cohrs <d.cohrs@computer.org>
To: 241283@bugs.debian.org
Subject: errors caused by invalid context "Stock"
Date: Tue, 18 May 2004 16:49:17 -0700
I've just noticed that it's not just the hicolor theme that
is using these unknown "stock" context icons, various other themes
have them too, and KDE is whining about all of them:

kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Amaranth/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Amaranth/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Amaranth/ group scalable/devices not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 20x20/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 48x48/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 24x24/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 72x72/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 72x72/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 192x192/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 36x36/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 12x12/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 96x96/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Crux/ group 96x96/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 192x192/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 96x96/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 72x72/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 48x48/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 36x36/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 36x36/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 36x36/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 32x32/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 24x24/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 16x16/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group 12x12/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Default/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 192x192/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 96x96/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 72x72/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 48x48/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 36x36/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 36x36/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 36x36/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 32x32/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 24x24/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/document not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/generic not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 16x16/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group 12x12/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/gnome/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Gorilla/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Gorilla/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Gorilla/ group scalable/devices not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 16x16/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 32x32/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 36x36/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/chart not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/code not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/data not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/form not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/image not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/io not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/media not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/navigation not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/net not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/object not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/table not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/hicolor/ group 48x48/stock/text not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Industrial/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/kids/ group  not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Lush/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Lush/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Lush/ group scalable/devices not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Nuvola/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Nuvola/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Nuvola/ group scalable/devices not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 36x36/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 12x12/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 48x48/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 96x96/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 72x72/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Sandy/ group 24x24/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/slick/ group  not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Smokey-Blue/ group 48x48/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Smokey-Blue/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Smokey-Red/ group 48x48/filesystems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Smokey-Red/ group 48x48/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/SphereCrystal/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/SphereCrystal/ group scalable/devices not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/SphereCrystal/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Wasp/ group scalable/apps not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Wasp/ group scalable/emblems not valid.
kdecore (KIconLoader): WARNING: Icon directory /usr/share/icons/Wasp/ group scalable/devices not valid.

Also, for any future readers of this bug report, I did finally figure out
how to turn these messages off (KDE's documentation is SOOO lacking):

run in a shell (I cannot find this on any menu): kdebugdialog --fullmode
select: debug area: 264 kdecore (KIconLoader)
Change the Warning Output to "None"
select: OK

dave <d.cohrs@computer.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#241283; Package hicolor-icon-theme. Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@burtonini.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. Full text and rfc822 format available.

Message #108 received at 241283@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@burtonini.com>
To: 241283@bugs.debian.org
Cc: Debian Bug Control <control@bugs.debian.org>
Subject: Merging
Date: Tue, 22 Jun 2004 22:22:49 +0100
reassign 241283 kdebase
merge 253127 241283
thanks

These are the same bug.

I'll re-iterate my PoV:

The icon theme spec states:

"the context the icon is normally used in. This can be used to e.g.
let the user pick an specific type of icon. Currently used contexts
are: Actions, Applications, Devices, FileSystems, MimeTypes."

It only lists the currently used contexts, but doesn't state that these
are the only allowed contexts.

So, either kdelibs should remove the debug message in kicontheme.cpp, or
the default log level should be reduced.  As the spec doesn't forbid any
extra contexts, I think the debug statement should just be removed.

Ross 
-- 
Ross Burton                                 mail: ross@burtonini.com
                                          jabber: ross@burtonini.com
                                     www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF





Bug reassigned from package `hicolor-icon-theme' to `kdebase'. Request was from Ross Burton <ross@burtonini.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 241283 253127 254863. Request was from Ross Burton <ross@burtonini.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kdebase' to `kdelibs4'. Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, patch Request was from Dominique Devriese <dominique.devriese@student.kuleuven.ac.be> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 241283 253127 254863 258668. Request was from Ross Burton <ross@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Chris Cheney <ccheney@cheney.cx>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Cheney <ccheney@cheney.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #123 received at 241283-done@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 241283-done@bugs.debian.org
Subject: hicolor-icon-theme: does not include all dirs referenced
Date: Thu, 23 Sep 2004 18:19:21 -0500
[Message part 1 (text/plain, inline)]
This bug has been fixed in KDE 3.3.0 which is in sid.

Thanks,
Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:50:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.